:host,
#panel {
  min-height: 10rem;
  height: 16rem;
  background: var(--bkg-color);
}

#panel {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  overflow: hidden;
}

#gutter {
  border: none;
  height: 6px;
  width: 100%;
  background: var(--bkg-color);
  position: absolute;
  top: 0;
  left: 0;
  cursor: row-resize;
}

#close {
  border: none;
  color: #777;
  padding: 0;
  margin: 0.5rem;
  width: 1rem;
  height: 1rem;
  line-height: 1rem;
  position: absolute;
  top: 0;
  right: 0;
  background-color: var(--bkg-color);
  cursor: pointer;
}

#close i:before {
  content: '\f00d';
}

#close:hover {
  border-color: #000;
  color: #000;
}

#content {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: var(--bkg-color);
  padding: 0;
  margin: 0.5rem;
  overflow: hidden;
  display: flex;
  flex-direction: column;
}

#header {
  flex: 0;
  display: flex;
  justify-content: space-between;
}

.selection-panel {
  margin-right: 2rem;
}

.tab {
  border: solid 1px #ccc;
  display: inline-block;
  height: 2rem;
  line-height: 2rem;
  padding: 0 1rem;
  margin-right: 0.2rem;
  margin-bottom: 0.2rem;
  cursor: pointer;
  background-color: var(--bkg-color-grad2);
}

.tab.active {
  color: var(--text-color);
  background-color: var(--bkg-color);
}

#grid {
  overflow: hidden;
  flex: 1;
}

.geo-type {
  margin-right: 0.5rem;
}

button {
  margin-left: 0.5rem;
}

::-webkit-scrollbar {
  width: 8px;
}

::-webkit-scrollbar-thumb {
  background: #999;
}

.tiny-margin {
  margin: 0.1rem;
}

/* Define the style when the column is not sorted */
.tabulator-col[aria-sort='none'] .tabulator-col-sorter i {
  color: #999;
}

/* Define the style when the column is sorted in ascending order */
.tabulator-col[aria-sort='asc'] .tabulator-col-sorter i {
  color: #f00;
}

/* Define the style when the column is sorted in descending order */
.tabulator-col[aria-sort='desc'] .tabulator-col-sorter i {
  color: #f00;
  transform: scaleY(-1); /* flip the icon vertically so the arrow points down */
}

/*Theme the Tabulator element*/
#tabulator {
  background-color: var(--bkg-color);
}

/*Theme the header*/
#tabulator .tabulator-header .tabulator-col-content {
  background-color: var(--bkg-color);
  color: var(--text-color);
}

/*Allow column header names to wrap lines*/
#tabulator .tabulator-header .tabulator-col,
#tabulator .tabulator-header .tabulator-col-row-handle {
  white-space: normal;
}

/*Color the table rows*/
#tabulator .tabulator-tableholder .tabulator-table .tabulator-row {
  background-color: var(--bkg-color);
  color: var(--text-color);
}

/*Color even rows*/
#tabulator .tabulator-tableholder .tabulator-table .tabulator-row:nth-child(even) {
  background-color: var(--bkg-color-grad1);
}

/*Color selected rows*/
#tabulator .tabulator-tableholder .tabulator-table .tabulator-row.tabulator-selected {
  background-color: #9abcea;
}

/*Size of span and images in table*/
.tabulator-cell img {
  height: 1.5rem;
  float: left;
  margin-right: 0.5rem;
}
.tabulator-cell span {
  line-height: 1.5rem;
  display: inline-flex;
  align-items: center;
  position: relative;
}
.tabulator-cell span sup {
  position: absolute;
  right: -0.5rem;
  top: -0.3rem;
}

/*Hover effect for rows*/
@media (hover: hover) and (pointer: fine) {
  #tabulator .tabulator-tableholder .tabulator-table .tabulator-row:hover {
    cursor: pointer;
    background-color: var(--bkg-color-grad2);
  }
}
